package com.bplscale

import com.facebook.react.bridge.*
import com.facebook.react.turbomodule.core.TurboReactPackage

class BPLScalePackage : TurboReactPackage() {

  override fun getModule(
    name: String,
    context: ReactApplicationContext
  ): NativeModule? {
    return if (name == BPLScaleModule.NAME) {
      BPLScaleModule(context)
    } else null
  }

  override fun getReactModuleInfoProvider() =
    ReactModuleInfoProvider {
      mapOf(
        BPLScaleModule.NAME to ReactModuleInfo(
          BPLScaleModule.NAME,
          BPLScaleModule.NAME,
          false,
          false,
          true,
          false
        )
      )
    }
}
